<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+-----------------------------------------------------
| Created for PHP-FUSION 6.01.13 >
| Copyright  2008 Yan Spartak
| http://www.kgb3000.com
| E-mail: kgb3000@mail.ru
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once "../../subheader.php";
require_once "../../side_left.php";

if (file_exists(INFUSIONS."video_infusion/locale/".$settings['locale'].".php")) {
	include INFUSIONS."video_infusion/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."video_infusion/locale/Russian.php";
}
if (!checkrights("I") || !defined("iAUTH") || $aid != iAUTH) { redirect("../../index.php"); }
if ($video_id <> '') {

$result = dbquery("SELECT * FROM ".$db_prefix."videos WHERE video_id=$video_id" );
		$data = dbarray($result);
			
	if (isset($_POST['submit_photo'])) {
		require_once INCLUDES."photo_functions_include.php";
		$error = "";
		$submit_info['photo_title'] = stripinput($_POST['photo_title']);
		$submit_info['photo_description'] = stripinput($_POST['photo_description']);
		$submit_info['album_id'] = isNum($_POST['album_id']) ? $_POST['album_id'] : "0";
		if (is_uploaded_file($_FILES['photo_pic_file']['tmp_name'])) {
			$photo_types = array(".gif",".jpg",".jpeg",".png");
			$photo_pic = $_FILES['photo_pic_file'];
			$photo_name = strtolower(substr($photo_pic['name'], 0, strrpos($photo_pic['name'], ".")));
			$photo_ext = strtolower(strrchr($photo_pic['name'],"."));
			$photo_dest = INFUSIONS."video_infusion/video/";
			if (!preg_match("/^[-0-9A-Z_\[\]]+$/i", $photo_name)) {
				$error = 1;
			} elseif ($photo_pic['size'] > $settings['photo_max_b']){
				$error = 2;
			} elseif (!in_array($photo_ext, $photo_types)) {
				$error = 3;
			} else {
				$photo_file = image_exists($photo_dest, $photo_name);
				move_uploaded_file($photo_pic['tmp_name'], $photo_dest.$photo_file);
				chmod($photo_dest.$photo_file, 0644);
				$imagefile = @getimagesize($photo_dest.$photo_file);
				unlink($photo_dest.$data['video_id'].$photo_ext);
				$photo_thumb1 = image_exists($photo_dest, $data['video_id'].$photo_ext);
				createthumbnail($imagefile[2], $photo_dest.$photo_file, $photo_dest.$photo_thumb1, 200, 150);
				if (!verify_image($photo_dest.$photo_file)) {
					$error = 3;
					unlink($photo_dest.$photo_file);
				} elseif ($imagefile[0] > $settings['photo_max_w'] || $imagefile[1] > $settings['photo_max_h']) {
					$error = 4;
					unlink($photo_dest.$photo_file);
				} else {
					$submit_info['photo_file'] = $photo_file;
				}
			}
		}	
		
		$video_image=$photo_dest.$photo_thumb1;
		$result = dbquery("UPDATE ".$db_prefix."videos SET video_image='$video_image' WHERE video_id='$video_id'");
		unlink($photo_dest.$photo_file);
			
		opentable($locale['570']);
		if (!$error) {


fallback("video_admin.php".$aidlink."&action=edit&video_cat_id=".$data['video_cat']."&video_id=".$data['video_id']."");
		} else {
			echo "<center><br>\n".$locale['600']."<br><br>\n";
			if ($error == 1) { echo $locale['601']; }
			elseif ($error == 2) { echo sprintf($locale['602'], $settings['photo_max_b']); }
			elseif ($error == 3) { echo $locale['603']; }
			elseif ($error == 4) { echo sprintf($locale['604'], $settings['photo_max_w'], $settings['photo_max_h']); }
			echo "<br><br>\n<a href='submit1.php?video_id=".$video_id."'>".$locale['411']."</a><br><br>\n</center>\n";
		}
		closetable();
	} else {
		$opts = "";
		opentable($locale['570']);

		
			echo "<br><br>
<form name='submit_form' method='post' action='".FUSION_SELF."?video_id=".$video_id."' enctype='multipart/form-data' onSubmit='return validatePhoto(this);'>
<table align='center' cellpadding='0' cellspacing='0'>
<tr>
<td valign='top' class='tbl'>".$locale['623']."</td>
<td class='tbl'><input type='file' name='photo_pic_file' class='textbox' style='width:250px;'><br>
<span class='small2'>".sprintf($locale['624'], parsebytesize($settings['photo_max_b']), $settings['photo_max_w'], $settings['photo_max_h'])."</span></td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl'><br>
<input type='submit' name='submit_photo' value='".$locale['626']."' class='button'>
</td>
</tr>
</table>
</form>\n";

		closetable();
	}
}

require_once "../../side_right.php";
require_once "../../footer.php";
?>