<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+-----------------------------------------------------
| Created for PHP-FUSION 6.01.13 >
| Copyright  2008 Yan Spartak
| http://www.kgb3000.com
| E-mail: kgb3000@mail.ru
+----------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
if (!checkrights("I") || !defined("iAUTH") || $aid != iAUTH) { redirect("../../index.php"); }

if (file_exists(INFUSIONS."video_infusion/locale/".$settings['locale'].".php")) {
	include INFUSIONS."video_infusion/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."video_infusion/locale/Russian.php";
}

// Infusion general information
$inf_title = $locale['xxx_title'];
$inf_description = $locale['xxx_desc'];
$inf_version = "2.6";
$inf_developer = "kgb3000";
$inf_email = "kgb3000@mail.ru";
$inf_weburl = "http://kgb3000.com";


$inf_folder = "video_infusion"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = "video_admin.php"; // The admin panel filename if required.
$inf_admin_rights = "XXX"; // The admin panel filename if required.


$inf_newtables = 2; // Number of new db tables to create or drop.
$inf_insertdbrows = 3; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.
$inf_newtable_[1] = "video_cats (
  video_cat_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
  video_cat_name varchar(100) NOT NULL default '',
  video_cat_description text NOT NULL,
  video_cat_sorting VARCHAR(50) NULL default '',
  video_cat_access tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  PRIMARY KEY(video_cat_id)
) TYPE=MyISAM;";

$inf_newtable_[2] = "videos (
  video_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
  video_user SMALLINT(5) NOT NULL default 0,
  video_title varchar(100) NOT NULL default '',
  video_description text NOT NULL,
  video_url VARCHAR(200) NULL default '',
  video_image VARCHAR(100) NULL default '',
  video_cat SMALLINT(5) UNSIGNED NOT NULL DEFAULT 0,
  video_timesize VARCHAR(50) NULL default '',
  video_filesize VARCHAR(20) NULL default '',
  video_datestamp INT(10) UNSIGNED NOT NULL DEFAULT 0,
  video_count SMALLINT(5) UNSIGNED NOT NULL DEFAULT 0, 
  video_comments tinyint(1) UNSIGNED NOT NULL DEFAULT 1,
  video_ratings tinyint(1) UNSIGNED NOT NULL DEFAULT 1,
  video_access tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  video_type SMALLINT(5) UNSIGNED NOT NULL DEFAULT 0,
  
    INDEX fusion_videos_FKIndex1(video_id)
) TYPE=MyISAM;";

$inf_droptable_[1] = "video_cats";
$inf_insertdbrow_[1] = "video_cats (video_cat_name) VALUES(' ')";


$inf_droptable[2] = "videos";
$inf_insertdbrow_[2] = "videos (video_title, video_description, video_url, video_type, video_cat) VALUES(' ', '', 'yw_p2aLK-aY', 1,1)";

/*
$inf_adminpanel[1] = array(
	"title" => $locale['xxx_admin1'],
	"image" => "image.gif",
	"panel" => "video_admin.php",
	"rights" => "XXX"
);
*/

$inf_link_name = $locale['xxx_link1'];
$inf_link_url = "videos.php";
$inf_link_visibility = "0";
	
?>